# Maintainer:: Thao Tran <thao.tran@ez.com>
# Copyright 2020, Ez, LLC.
# All rights reserved - Do Not Redistribute

# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  
	config.vm.define :ans_mgmt do |ans_mgmt|
		ans_mgmt.vm.box = "ubuntu/trusty64"
		ans_mgmt.vm.hostname = "ansmgmtsrv"
		ans_mgmt.vm.network "private_network", ip: "10.0.15.111"
		ans_mgmt.vm.network "forwarded_port", guest: 22, host: 2222, id: "ssh", disabled: "true"
		ans_mgmt.vm.network "forwarded_port", guest: 22, host: 2121
		ans_mgmt.vm.provision :shell, path: "bootstrap-ansmgmt-node.sh"
		ans_mgmt.vm.provider "virtualbox" do |vb|
    	vb.memory = "1024"
  	end
	end

	config.vm.define :web_lb do |web_lb|
		web_lb.vm.box = "ubuntu/trusty64"
		web_lb.vm.hostname = "weblbsrv"
		web_lb.vm.network "private_network", ip: "10.0.15.112"
		web_lb.vm.network "forwarded_port", guest: 22, host: 2222, id: "ssh", disabled: "true"
		web_lb.vm.network "forwarded_port", guest: 22, host: 2122
		web_lb.vm.network "forwarded_port", guest: 80, host: 8180
		web_lb.vm.provider "virtualbox" do |vb|
    	vb.memory = "1024"
  	end		
	end
	
	(1..4).each do |i|
		config.vm.define "web_srv0#{i}" do |web_srv|
			web_srv.vm.box = "ubuntu/trusty64"
			web_srv.vm.hostname = "websrv0#{i}"
			web_srv.vm.network "private_network", ip: "10.0.15.22#{i}"
			web_srv.vm.network "forwarded_port", guest: 22, host: 2222, id: "ssh", disabled: "true"
			web_srv.vm.network "forwarded_port", guest: 22, host: "222#{i}"
			web_srv.vm.network "forwarded_port", guest: 80, host: "818#{i}"
			web_srv.vm.provider "virtualbox" do |vb|
    		vb.memory = "1024"
  		end			
		end
	end

end
